* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: Arial, Helvetica, sans-serif;
}

:root {
  --green-color: #6aaa64;
  --orange-color: #c9b458;
  --gray-color: #787c7e;
}

body {
  background-color: #eee;
  
}

.header {
  display: flex;
  background-color: white;
  height: 70px;
  justify-content: center;
  align-items: center;
  font-size: 25px;
  font-weight: bold;   
  margin-bottom: 50px;
}

@media (max-width: 767px) {
  .header {
    height: 50px;
    font-size: 18px;
     margin-bottom: 0px;
  }
}

.container {
  display: flex;
  justify-content: center;
  padding: 20px;
  gap: 40px;
}

@media (max-width: 767px) {
  .container {
    flex-direction: column-reverse;
    padding: 15px;
    gap: 30px;
  }
}

/* start game */
.game {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.game .letters {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  margin-bottom: 10px;
}

.game .letters.disabled {
  opacity: 0.4;
  pointer-events: none;
}

.game .letters p {
  width: 100%;
  font-size: 25px;
  font-weight: bold;
}

.game .letters .word{
  display: flex;    
  justify-content: center;
  align-items: center;
  gap: 6px;
}

.game .letters .word input {
  width: 60px;
  height: 60px;
  text-align: center;
  font-size: 40px;
  text-transform: capitalize;
  border: none;
  border-bottom: 4px solid #333;
  &:focus {
    outline-color: #ccc;
  }
  &.in-place {
    background-color: var(--green-color);
    border: none;
    color: white;
  }
  &.not-in-place {
    background-color: var(--orange-color);
    border: none;
    color: white;
  }
  &.no {
    background-color: gray;
    border: none;
    color: white;
  }
}

.game .letters.disabled input{
  background-color: #e4e1e1;
}

@media (max-width: 767px) {
  .game .letters .word input {
    width: 45px;
    height: 45px;
  }
}

@media (max-width: 767px) {
  .game .letters {
    gap: 10px;
  }

  .game .letters p {
    font-size: 18px;
  }
}

.game .check {
  display: flex;
  margin-top: 20px;
  gap: 15px;
}

.game .check button:nth-of-type(1){
  flex: 1;
  background-color: #ff5333;
  border: none;
  padding: 15px 40px;
  text-align: center;
  color: white;
  font-size: 18px;
  font-weight: bold;
  border-radius: 6px;
}

.game .check button:nth-of-type(2){
  background-color: #00848b;
  border: none;
  padding: 15px;
  text-align: center;
  color: white;
  font-size: 18px;
  font-weight: bold;
  border-radius: 6px;
}


@media (max-width: 767px) {
  .game .check button:nth-of-type(1) {
    padding: 15px;
    font-size: 14px;
  }

    .game .check button:nth-of-type(2) {
    padding: 15px ;
    font-size: 14px;
  }
}

/* end game */


/* start game-info */
.game-info {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  margin-top: 30px;
}

.keys {
  width: 100%;
}

.game-info .keys div {
  background-color: white;
  padding: 15px;
  padding-left: 50px;
  margin-bottom: 10px;
  font-weight: bold;
  position: relative;
}

@media (max-width: 767px) {
  .game-info .keys div {
    font-size: 15px;
  }
}

.game-info .keys div::before {
  content: "";
  position: absolute;
  width: 30px;
  height: 30px;
  left: 11px;
  top: 50%;
  transform: translateY(-50%);
}

.game-info .keys div:nth-child(1)::before {
  background-color: var(--green-color);
}
.game-info .keys div:nth-child(2)::before {
  background-color: var(--orange-color);
}
.game-info .keys div:nth-child(3)::before {
  background-color: var(--gray-color);
}
/* end game-info */

footer {
  position: relative;
  width: 100%;    
  padding: 20px;
  background-color: #333333;
  bottom: -251px;
  color: white;
  font-size: 18px;
  text-align: center;
}

@media (max-width: 767px  ) {
  footer {
    position: relative;
    bottom: -150px;
    font-size: 15px;
  }
}
/* start win & lose msg */
.won, .lose {
  margin-top: 20px;
  text-align: center;
}

.won h2,
.lose h2 {
  font-size: 40px;
}

.won h3 {
  font-size: 30px;
  color: green;
}

.lose h3 {
  font-size: 30px;
  color: red
}

.lose h4 {
  font-size: 25px;
}

.lose h4 > span{
  color: red;
}
/* end win & lose msg */

/* start h-letter */
.hint-div {
  margin-top: 15px;
}
.hint-div h2 span{
  text-transform: capitalize;
  color: red;
}
/* end h-letter */
